Skip to content

Transition Training Instance

Transition a training instance to a new state in its workflow (e.g., from in_progress to complete). Accessible to users with ADMIN, MANAGE_TRAINING, or MANAGE_TO_DO permissions, or the assigned user.

Parameters

name * are required parametersdata typedescription
instanceId*stringThe unique identifier of the training instance
body.state*stringThe target state to transition to
body.dataobjectAny form data to save as part of the transition
body.commentobjectComment to save and include in notifications

Return Value

The updated training instance with the new state.

Error Codes

  • 400 Bad Request: Returned when the transition is invalid for the current state.
  • 401 Unauthorized: Returned when the user is not authorized.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/training-instance/:instanceId/transition" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"state": "complete", "comment": {"type": "doc", "content": []}}'

ENDPOINTS

put/api/{targetPath}/training-instance/:instanceId/transition